> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Create Shared Link With Settings

POST https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings
Content-Type: application/json

Create a shared link with custom settings.
 If no settings are given then the default visibility is RequestedVisibility.public
 (The resolved visibility, though, may depend on other aspects such as team and shared folder
 settings).

**Required scope:** `sharing.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Team Admin)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/sharing/create-shared-link-with-settings

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Select-Admin` (string, optional) — Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

### Body (application/json)

This endpoint expects an object.

- `path` (any, required) — The path to be shared by the shared link.
- `settings` (object, optional, nullable) — The requested settings for the newly created shared link.
  - `access` (object or object or object or object, optional, nullable) — Requested access level you want the audience to gain from this link. Note, modifying access level for an existing link is not supported.
    - sharing_apiv2.RequestedLinkAccessLevel.viewer
      - `.tag` (enum, required)
        - Allowed values: `viewer`
    - sharing_apiv2.RequestedLinkAccessLevel.editor
      - `.tag` (enum, required)
        - Allowed values: `editor`
    - sharing_apiv2.RequestedLinkAccessLevel.max
      - `.tag` (enum, required)
        - Allowed values: `max`
    - sharing_apiv2.RequestedLinkAccessLevel.default
      - `.tag` (enum, required)
        - Allowed values: `default`
  - `allow_download` (boolean, optional, nullable) — Boolean flag to allow or not download capabilities for shared links.
  - `audience` (object or object or object or object or object, optional, nullable) — The new audience who can benefit from the access level specified by the link's access level specified in the `link_access_level` field of `LinkPermissions`. This is used in conjunction with team policies and shared folder policies to determine the final effective audience type in the `effective_audience` field of `LinkPermissions`.
    - sharing_apiv2.LinkAudience.public
      - `.tag` (enum, required)
        - Allowed values: `public`
    - sharing_apiv2.LinkAudience.team
      - `.tag` (enum, required)
        - Allowed values: `team`
    - sharing_apiv2.LinkAudience.no_one
      - `.tag` (enum, required)
        - Allowed values: `no_one`
    - sharing_apiv2.LinkAudience.password
      - `.tag` (enum, required)
        - Allowed values: `password`
    - sharing_apiv2.LinkAudience.members
      - `.tag` (enum, required)
        - Allowed values: `members`
  - `expires` (datetime, optional, nullable) — Expiration time of the shared link. By default the link won't expire.
  - `link_password` (string, optional, nullable) — If `require_password` is true, this is needed to specify the password to access the link.
  - `require_password` (boolean, optional, nullable) — Boolean flag to enable or disable password protection.
  - `requested_visibility` (object or object or object, optional, nullable, deprecated) — Use `audience` instead. The requested access for this shared link.
    - sharing_apiv2.RequestedVisibility.public
      - `.tag` (enum, required)
        - Allowed values: `public`
    - sharing_apiv2.RequestedVisibility.team_only
      - `.tag` (enum, required)
        - Allowed values: `team_only`
    - sharing_apiv2.RequestedVisibility.password
      - `.tag` (enum, required)
        - Allowed values: `password`

## Response

### 200

Successful response

- `object or object or object`
  - sharing_apiv2.SharedLinkMetadata.file
    - `.tag` (enum, required)
      - Allowed values: `file`
    - `link_permissions` (object, required) — The link's access permissions.
      - `allow_download` (boolean, required) — Whether the link can be downloaded or not.
      - `can_allow_download` (boolean, required) — Whether the user can allow downloads via the link. This refers to the ability to remove a no-download restriction on the link.
      - `can_disallow_download` (boolean, required) — Whether the user can disallow downloads via the link. This refers to the ability to impose a no-download restriction on the link.
      - `can_remove_expiry` (boolean, required) — Whether the user can remove the expiry of the link.
      - `can_revoke` (boolean, required) — Whether the caller can revoke the shared link.
      - `can_set_expiry` (boolean, required) — Whether the user can set the expiry settings of the link. This refers to the ability to create a new expiry and modify an existing expiry.
      - `visibility_policies` (list of object, required) — A list of policies that the user might be able to set for the visibility.
        - `allowed` (boolean, required) — Whether the user is permitted to set the visibility to this policy.
        - `policy` (object or object or object, required) — This is the value to submit when saving the visibility setting.
          - sharing_apiv2.RequestedVisibility.public
            - `.tag` (enum, required)
          - sharing_apiv2.RequestedVisibility.team_only
            - `.tag` (enum, required)
          - sharing_apiv2.RequestedVisibility.password
            - `.tag` (enum, required)
        - `resolved_policy` (object or object or object or object or object or object or object or object, required) — This is what the effective policy would be, if you selected this option. The resolved policy is obtained after considering external effects such as shared folder settings and team policy. This value is guaranteed to be provided.
          - sharing_apiv2.AlphaResolvedVisibility.public
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.team_only
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.password
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.team_and_password
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.shared_folder_only
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.no_one
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.only_you
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `disallowed_reason` (object or object or object or object or object or object or object, optional, nullable) — If `allowed` is `false`, this will provide the reason that the user is not permitted to set the visibility to this policy.
          - sharing_apiv2.VisibilityPolicyDisallowedReason.delete_and_recreate
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.restricted_by_shared_folder
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.restricted_by_team
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.user_not_on_team
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.user_account_type
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.permission_denied
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
      - `allow_comments` (boolean, required, deprecated) — Whether comments are enabled for the linked file. This takes the team commenting policy into account.
      - `team_restricts_comments` (boolean, required, deprecated) — Whether the team has disabled commenting globally.
      - `audience_options` (list of object, optional, nullable) — A list of link audience options the user might be able to set as the new audience.
        - `allowed` (boolean, required) — Whether the user calling this API can select this audience option.
        - `audience` (object or object or object or object or object or object, required) — Specifies who can access the link.
          - sharing_apiv2.LinkAudience.public
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.no_one
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.password
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.members
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `disallowed_reason` (object or object or object or object or object or object or object, optional, nullable) — If `allowed` is `false`, this will provide the reason that the user is not permitted to set the visibility to this policy.
          - sharing_apiv2.LinkAudienceDisallowedReason.delete_and_recreate
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.restricted_by_shared_folder
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.restricted_by_team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.user_not_on_team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.user_account_type
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.permission_denied
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
      - `can_remove_password` (boolean, optional, nullable) — Whether the user can remove the password of the link.
      - `can_request_access` (boolean, optional, nullable) — Whether the user can request access to the content.
      - `can_set_password` (boolean, optional, nullable) — Whether the user can set a password for the link.
      - `can_sync` (boolean, optional, nullable) — Whether a user can save the content to their Dropbox account.
      - `can_use_extended_sharing_controls` (boolean, optional, nullable) — Whether the user can use extended sharing controls, based on their account type.
      - `change_shared_link_expiration_policy` (object or object or object, optional, nullable) — When owning team's policy `change_shared_link_expiration_policy` is `ChangeLinkExpirationPolicy.not_allowed`, the updated externally available shared link expiration value cannot be less strict than `days_to_expire_policy`. In this case `days_to_expire_policy` is expected to be different from `none`. Not provided if the link is not team owned.
        - sharing_apiv2.ChangeLinkExpirationPolicy.allowed
          - `.tag` (enum, required)
            - Allowed values: `allowed`
        - sharing_apiv2.ChangeLinkExpirationPolicy.not_allowed
          - `.tag` (enum, required)
            - Allowed values: `not_allowed`
        - Other
          - `.tag` (string, optional)
      - `days_to_expire_policy` (object or object or object or object or object or object or object or object or object, optional, nullable) — Existing owning team's policy for default number of days from today to link's expiration. Not provided if the link is not team owned.
        - team_policies.DefaultLinkExpirationDaysPolicy.none
          - `.tag` (enum, required)
            - Allowed values: `none`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_1
          - `.tag` (enum, required)
            - Allowed values: `day_1`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_3
          - `.tag` (enum, required)
            - Allowed values: `day_3`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_7
          - `.tag` (enum, required)
            - Allowed values: `day_7`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_30
          - `.tag` (enum, required)
            - Allowed values: `day_30`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_90
          - `.tag` (enum, required)
            - Allowed values: `day_90`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_180
          - `.tag` (enum, required)
            - Allowed values: `day_180`
        - team_policies.DefaultLinkExpirationDaysPolicy.year_1
          - `.tag` (enum, required)
            - Allowed values: `year_1`
        - Other
          - `.tag` (string, optional)
      - `effective_audience` (object or object or object or object or object or object, optional, nullable) — The type of audience who can benefit from the access level specified by the `link_access_level` field.
        - sharing_apiv2.LinkAudience.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.LinkAudience.team
          - `.tag` (enum, required)
            - Allowed values: `team`
        - sharing_apiv2.LinkAudience.no_one
          - `.tag` (enum, required)
            - Allowed values: `no_one`
        - sharing_apiv2.LinkAudience.password
          - `.tag` (enum, required)
            - Allowed values: `password`
        - sharing_apiv2.LinkAudience.members
          - `.tag` (enum, required)
            - Allowed values: `members`
        - Other
          - `.tag` (string, optional)
      - `enforce_shared_link_password_policy` (object or object or object, optional, nullable) — Whether the updated externally available shared link must have password set. Not provided if the link is not team owned.
        - team_policies.EnforceLinkPasswordPolicy.optional
          - `.tag` (enum, required)
            - Allowed values: `optional`
        - team_policies.EnforceLinkPasswordPolicy.required
          - `.tag` (enum, required)
            - Allowed values: `required`
        - Other
          - `.tag` (string, optional)
      - `link_access_level` (object or object or object, optional, nullable) — The access level that the link will grant to its users. A link can grant additional rights to a user beyond their current access level. For example, if a user was invited as a viewer to a file, and then opens a link with `link_access_level` set to `editor`, then they will gain editor privileges. The `link_access_level` is a property of the link, and does not depend on who is calling this API. In particular, `link_access_level` does not take into account the API caller's current permissions to the content.
        - sharing_apiv2.LinkAccessLevel.viewer
          - `.tag` (enum, required)
            - Allowed values: `viewer`
        - sharing_apiv2.LinkAccessLevel.editor
          - `.tag` (enum, required)
            - Allowed values: `editor`
        - Other
          - `.tag` (string, optional)
      - `requested_visibility` (object or object or object, optional, nullable) — The shared link's requested visibility. This can be overridden by the team and shared folder policies. The final visibility, after considering these policies, can be found in `resolved_visibility`. This is shown only if the caller is the link's owner and resolved_visibility is returned instead of effective_audience.
        - sharing_apiv2.RequestedVisibility.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.RequestedVisibility.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.RequestedVisibility.password
          - `.tag` (enum, required)
            - Allowed values: `password`
      - `require_password` (boolean, optional, nullable) — Whether the user is required to provide a password to view the link.
      - `resolved_visibility` (object or object or object or object or object or object or object or object, optional, nullable) — The current visibility of the link after considering the shared links policies of the the team (in case the link's owner is part of a team) and the shared folder (in case the linked file is part of a shared folder). This field is shown only if the caller has access to this info (the link's owner always has access to this data). For some links, an effective_audience value is returned instead.
        - sharing_apiv2.ResolvedVisibility.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.ResolvedVisibility.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.ResolvedVisibility.password
          - `.tag` (enum, required)
            - Allowed values: `password`
        - sharing_apiv2.ResolvedVisibility.team_and_password
          - `.tag` (enum, required)
            - Allowed values: `team_and_password`
        - sharing_apiv2.ResolvedVisibility.shared_folder_only
          - `.tag` (enum, required)
            - Allowed values: `shared_folder_only`
        - sharing_apiv2.ResolvedVisibility.no_one
          - `.tag` (enum, required)
            - Allowed values: `no_one`
        - sharing_apiv2.ResolvedVisibility.only_you
          - `.tag` (enum, required)
            - Allowed values: `only_you`
        - Other
          - `.tag` (string, optional)
      - `revoke_failure_reason` (object or object or object or object or object or object, optional, nullable) — The failure reason for revoking the link. This field will only be present if the `can_revoke` is `false`.
        - sharing_apiv2.SharedLinkAccessFailureReason.login_required
          - `.tag` (enum, required)
            - Allowed values: `login_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.email_verify_required
          - `.tag` (enum, required)
            - Allowed values: `email_verify_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.password_required
          - `.tag` (enum, required)
            - Allowed values: `password_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.SharedLinkAccessFailureReason.owner_only
          - `.tag` (enum, required)
            - Allowed values: `owner_only`
        - Other
          - `.tag` (string, optional)
    - `name` (string, required) — The linked file name (including extension). This never contains a slash.
    - `url` (string, required) — URL of the shared link.
    - `client_modified` (datetime, required) — The modification time set by the desktop client when the file was added to Dropbox. Since this time is not verified (the Dropbox server stores whatever the desktop client sends up), this should only be used for display purposes (such as sorting) and not, for example, to determine if a file has changed or not.
    - `rev` (any, required) — A unique identifier for the current revision of a file. This field is the same rev as elsewhere in the API and can be used to detect changes and avoid conflicts.
    - `server_modified` (datetime, required) — The last time the file was modified on Dropbox.
    - `size` (uint64, required) — The file size in bytes.
    - `content_owner_team_info` (any, optional, nullable) — The team information of the content's owner. This field will only be present if the content's owner is a team member and the content's owner team is different from the link's owner team.
    - `expires` (datetime, optional, nullable) — Expiration time, if set. By default the link won't expire.
    - `id` (any, optional, nullable) — A unique identifier for the linked file.
    - `path_lower` (string, optional, nullable) — The lowercased full path in the user's Dropbox. This always starts with a slash. This field will only be present only if the linked file is in the authenticated user's dropbox and the user is the owner of the link.
    - `team_member_info` (object, optional, nullable) — The team membership information of the link's owner. This field will only be present if the link's owner is a team member.
      - `display_name` (string, required) — The display name of the user.
      - `team_info` (any, required) — Information about the member's team.
      - `member_id` (string, optional, nullable) — ID of user as a member of a team. This field will only be present if the member is in the same team as current user.
  - sharing_apiv2.SharedLinkMetadata.folder
    - `.tag` (enum, required)
      - Allowed values: `folder`
    - `link_permissions` (object, required) — The link's access permissions.
      - `allow_download` (boolean, required) — Whether the link can be downloaded or not.
      - `can_allow_download` (boolean, required) — Whether the user can allow downloads via the link. This refers to the ability to remove a no-download restriction on the link.
      - `can_disallow_download` (boolean, required) — Whether the user can disallow downloads via the link. This refers to the ability to impose a no-download restriction on the link.
      - `can_remove_expiry` (boolean, required) — Whether the user can remove the expiry of the link.
      - `can_revoke` (boolean, required) — Whether the caller can revoke the shared link.
      - `can_set_expiry` (boolean, required) — Whether the user can set the expiry settings of the link. This refers to the ability to create a new expiry and modify an existing expiry.
      - `visibility_policies` (list of object, required) — A list of policies that the user might be able to set for the visibility.
        - `allowed` (boolean, required) — Whether the user is permitted to set the visibility to this policy.
        - `policy` (object or object or object, required) — This is the value to submit when saving the visibility setting.
          - sharing_apiv2.RequestedVisibility.public
            - `.tag` (enum, required)
          - sharing_apiv2.RequestedVisibility.team_only
            - `.tag` (enum, required)
          - sharing_apiv2.RequestedVisibility.password
            - `.tag` (enum, required)
        - `resolved_policy` (object or object or object or object or object or object or object or object, required) — This is what the effective policy would be, if you selected this option. The resolved policy is obtained after considering external effects such as shared folder settings and team policy. This value is guaranteed to be provided.
          - sharing_apiv2.AlphaResolvedVisibility.public
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.team_only
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.password
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.team_and_password
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.shared_folder_only
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.no_one
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.only_you
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `disallowed_reason` (object or object or object or object or object or object or object, optional, nullable) — If `allowed` is `false`, this will provide the reason that the user is not permitted to set the visibility to this policy.
          - sharing_apiv2.VisibilityPolicyDisallowedReason.delete_and_recreate
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.restricted_by_shared_folder
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.restricted_by_team
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.user_not_on_team
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.user_account_type
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.permission_denied
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
      - `allow_comments` (boolean, required, deprecated) — Whether comments are enabled for the linked file. This takes the team commenting policy into account.
      - `team_restricts_comments` (boolean, required, deprecated) — Whether the team has disabled commenting globally.
      - `audience_options` (list of object, optional, nullable) — A list of link audience options the user might be able to set as the new audience.
        - `allowed` (boolean, required) — Whether the user calling this API can select this audience option.
        - `audience` (object or object or object or object or object or object, required) — Specifies who can access the link.
          - sharing_apiv2.LinkAudience.public
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.no_one
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.password
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.members
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `disallowed_reason` (object or object or object or object or object or object or object, optional, nullable) — If `allowed` is `false`, this will provide the reason that the user is not permitted to set the visibility to this policy.
          - sharing_apiv2.LinkAudienceDisallowedReason.delete_and_recreate
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.restricted_by_shared_folder
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.restricted_by_team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.user_not_on_team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.user_account_type
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.permission_denied
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
      - `can_remove_password` (boolean, optional, nullable) — Whether the user can remove the password of the link.
      - `can_request_access` (boolean, optional, nullable) — Whether the user can request access to the content.
      - `can_set_password` (boolean, optional, nullable) — Whether the user can set a password for the link.
      - `can_sync` (boolean, optional, nullable) — Whether a user can save the content to their Dropbox account.
      - `can_use_extended_sharing_controls` (boolean, optional, nullable) — Whether the user can use extended sharing controls, based on their account type.
      - `change_shared_link_expiration_policy` (object or object or object, optional, nullable) — When owning team's policy `change_shared_link_expiration_policy` is `ChangeLinkExpirationPolicy.not_allowed`, the updated externally available shared link expiration value cannot be less strict than `days_to_expire_policy`. In this case `days_to_expire_policy` is expected to be different from `none`. Not provided if the link is not team owned.
        - sharing_apiv2.ChangeLinkExpirationPolicy.allowed
          - `.tag` (enum, required)
            - Allowed values: `allowed`
        - sharing_apiv2.ChangeLinkExpirationPolicy.not_allowed
          - `.tag` (enum, required)
            - Allowed values: `not_allowed`
        - Other
          - `.tag` (string, optional)
      - `days_to_expire_policy` (object or object or object or object or object or object or object or object or object, optional, nullable) — Existing owning team's policy for default number of days from today to link's expiration. Not provided if the link is not team owned.
        - team_policies.DefaultLinkExpirationDaysPolicy.none
          - `.tag` (enum, required)
            - Allowed values: `none`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_1
          - `.tag` (enum, required)
            - Allowed values: `day_1`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_3
          - `.tag` (enum, required)
            - Allowed values: `day_3`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_7
          - `.tag` (enum, required)
            - Allowed values: `day_7`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_30
          - `.tag` (enum, required)
            - Allowed values: `day_30`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_90
          - `.tag` (enum, required)
            - Allowed values: `day_90`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_180
          - `.tag` (enum, required)
            - Allowed values: `day_180`
        - team_policies.DefaultLinkExpirationDaysPolicy.year_1
          - `.tag` (enum, required)
            - Allowed values: `year_1`
        - Other
          - `.tag` (string, optional)
      - `effective_audience` (object or object or object or object or object or object, optional, nullable) — The type of audience who can benefit from the access level specified by the `link_access_level` field.
        - sharing_apiv2.LinkAudience.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.LinkAudience.team
          - `.tag` (enum, required)
            - Allowed values: `team`
        - sharing_apiv2.LinkAudience.no_one
          - `.tag` (enum, required)
            - Allowed values: `no_one`
        - sharing_apiv2.LinkAudience.password
          - `.tag` (enum, required)
            - Allowed values: `password`
        - sharing_apiv2.LinkAudience.members
          - `.tag` (enum, required)
            - Allowed values: `members`
        - Other
          - `.tag` (string, optional)
      - `enforce_shared_link_password_policy` (object or object or object, optional, nullable) — Whether the updated externally available shared link must have password set. Not provided if the link is not team owned.
        - team_policies.EnforceLinkPasswordPolicy.optional
          - `.tag` (enum, required)
            - Allowed values: `optional`
        - team_policies.EnforceLinkPasswordPolicy.required
          - `.tag` (enum, required)
            - Allowed values: `required`
        - Other
          - `.tag` (string, optional)
      - `link_access_level` (object or object or object, optional, nullable) — The access level that the link will grant to its users. A link can grant additional rights to a user beyond their current access level. For example, if a user was invited as a viewer to a file, and then opens a link with `link_access_level` set to `editor`, then they will gain editor privileges. The `link_access_level` is a property of the link, and does not depend on who is calling this API. In particular, `link_access_level` does not take into account the API caller's current permissions to the content.
        - sharing_apiv2.LinkAccessLevel.viewer
          - `.tag` (enum, required)
            - Allowed values: `viewer`
        - sharing_apiv2.LinkAccessLevel.editor
          - `.tag` (enum, required)
            - Allowed values: `editor`
        - Other
          - `.tag` (string, optional)
      - `requested_visibility` (object or object or object, optional, nullable) — The shared link's requested visibility. This can be overridden by the team and shared folder policies. The final visibility, after considering these policies, can be found in `resolved_visibility`. This is shown only if the caller is the link's owner and resolved_visibility is returned instead of effective_audience.
        - sharing_apiv2.RequestedVisibility.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.RequestedVisibility.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.RequestedVisibility.password
          - `.tag` (enum, required)
            - Allowed values: `password`
      - `require_password` (boolean, optional, nullable) — Whether the user is required to provide a password to view the link.
      - `resolved_visibility` (object or object or object or object or object or object or object or object, optional, nullable) — The current visibility of the link after considering the shared links policies of the the team (in case the link's owner is part of a team) and the shared folder (in case the linked file is part of a shared folder). This field is shown only if the caller has access to this info (the link's owner always has access to this data). For some links, an effective_audience value is returned instead.
        - sharing_apiv2.ResolvedVisibility.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.ResolvedVisibility.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.ResolvedVisibility.password
          - `.tag` (enum, required)
            - Allowed values: `password`
        - sharing_apiv2.ResolvedVisibility.team_and_password
          - `.tag` (enum, required)
            - Allowed values: `team_and_password`
        - sharing_apiv2.ResolvedVisibility.shared_folder_only
          - `.tag` (enum, required)
            - Allowed values: `shared_folder_only`
        - sharing_apiv2.ResolvedVisibility.no_one
          - `.tag` (enum, required)
            - Allowed values: `no_one`
        - sharing_apiv2.ResolvedVisibility.only_you
          - `.tag` (enum, required)
            - Allowed values: `only_you`
        - Other
          - `.tag` (string, optional)
      - `revoke_failure_reason` (object or object or object or object or object or object, optional, nullable) — The failure reason for revoking the link. This field will only be present if the `can_revoke` is `false`.
        - sharing_apiv2.SharedLinkAccessFailureReason.login_required
          - `.tag` (enum, required)
            - Allowed values: `login_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.email_verify_required
          - `.tag` (enum, required)
            - Allowed values: `email_verify_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.password_required
          - `.tag` (enum, required)
            - Allowed values: `password_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.SharedLinkAccessFailureReason.owner_only
          - `.tag` (enum, required)
            - Allowed values: `owner_only`
        - Other
          - `.tag` (string, optional)
    - `name` (string, required) — The linked file name (including extension). This never contains a slash.
    - `url` (string, required) — URL of the shared link.
    - `content_owner_team_info` (any, optional, nullable) — The team information of the content's owner. This field will only be present if the content's owner is a team member and the content's owner team is different from the link's owner team.
    - `expires` (datetime, optional, nullable) — Expiration time, if set. By default the link won't expire.
    - `id` (any, optional, nullable) — A unique identifier for the linked file.
    - `path_lower` (string, optional, nullable) — The lowercased full path in the user's Dropbox. This always starts with a slash. This field will only be present only if the linked file is in the authenticated user's dropbox and the user is the owner of the link.
    - `team_member_info` (object, optional, nullable) — The team membership information of the link's owner. This field will only be present if the link's owner is a team member.
      - `display_name` (string, required) — The display name of the user.
      - `team_info` (any, required) — Information about the member's team.
      - `member_id` (string, optional, nullable) — ID of user as a member of a team. This field will only be present if the member is in the same team as current user.
  - Other
    - `link_permissions` (object, required) — The link's access permissions.
      - `allow_download` (boolean, required) — Whether the link can be downloaded or not.
      - `can_allow_download` (boolean, required) — Whether the user can allow downloads via the link. This refers to the ability to remove a no-download restriction on the link.
      - `can_disallow_download` (boolean, required) — Whether the user can disallow downloads via the link. This refers to the ability to impose a no-download restriction on the link.
      - `can_remove_expiry` (boolean, required) — Whether the user can remove the expiry of the link.
      - `can_revoke` (boolean, required) — Whether the caller can revoke the shared link.
      - `can_set_expiry` (boolean, required) — Whether the user can set the expiry settings of the link. This refers to the ability to create a new expiry and modify an existing expiry.
      - `visibility_policies` (list of object, required) — A list of policies that the user might be able to set for the visibility.
        - `allowed` (boolean, required) — Whether the user is permitted to set the visibility to this policy.
        - `policy` (object or object or object, required) — This is the value to submit when saving the visibility setting.
          - sharing_apiv2.RequestedVisibility.public
            - `.tag` (enum, required)
          - sharing_apiv2.RequestedVisibility.team_only
            - `.tag` (enum, required)
          - sharing_apiv2.RequestedVisibility.password
            - `.tag` (enum, required)
        - `resolved_policy` (object or object or object or object or object or object or object or object, required) — This is what the effective policy would be, if you selected this option. The resolved policy is obtained after considering external effects such as shared folder settings and team policy. This value is guaranteed to be provided.
          - sharing_apiv2.AlphaResolvedVisibility.public
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.team_only
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.password
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.team_and_password
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.shared_folder_only
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.no_one
            - `.tag` (enum, required)
          - sharing_apiv2.AlphaResolvedVisibility.only_you
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `disallowed_reason` (object or object or object or object or object or object or object, optional, nullable) — If `allowed` is `false`, this will provide the reason that the user is not permitted to set the visibility to this policy.
          - sharing_apiv2.VisibilityPolicyDisallowedReason.delete_and_recreate
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.restricted_by_shared_folder
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.restricted_by_team
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.user_not_on_team
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.user_account_type
            - `.tag` (enum, required)
          - sharing_apiv2.VisibilityPolicyDisallowedReason.permission_denied
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
      - `allow_comments` (boolean, required, deprecated) — Whether comments are enabled for the linked file. This takes the team commenting policy into account.
      - `team_restricts_comments` (boolean, required, deprecated) — Whether the team has disabled commenting globally.
      - `audience_options` (list of object, optional, nullable) — A list of link audience options the user might be able to set as the new audience.
        - `allowed` (boolean, required) — Whether the user calling this API can select this audience option.
        - `audience` (object or object or object or object or object or object, required) — Specifies who can access the link.
          - sharing_apiv2.LinkAudience.public
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.no_one
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.password
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudience.members
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `disallowed_reason` (object or object or object or object or object or object or object, optional, nullable) — If `allowed` is `false`, this will provide the reason that the user is not permitted to set the visibility to this policy.
          - sharing_apiv2.LinkAudienceDisallowedReason.delete_and_recreate
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.restricted_by_shared_folder
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.restricted_by_team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.user_not_on_team
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.user_account_type
            - `.tag` (enum, required)
          - sharing_apiv2.LinkAudienceDisallowedReason.permission_denied
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
      - `can_remove_password` (boolean, optional, nullable) — Whether the user can remove the password of the link.
      - `can_request_access` (boolean, optional, nullable) — Whether the user can request access to the content.
      - `can_set_password` (boolean, optional, nullable) — Whether the user can set a password for the link.
      - `can_sync` (boolean, optional, nullable) — Whether a user can save the content to their Dropbox account.
      - `can_use_extended_sharing_controls` (boolean, optional, nullable) — Whether the user can use extended sharing controls, based on their account type.
      - `change_shared_link_expiration_policy` (object or object or object, optional, nullable) — When owning team's policy `change_shared_link_expiration_policy` is `ChangeLinkExpirationPolicy.not_allowed`, the updated externally available shared link expiration value cannot be less strict than `days_to_expire_policy`. In this case `days_to_expire_policy` is expected to be different from `none`. Not provided if the link is not team owned.
        - sharing_apiv2.ChangeLinkExpirationPolicy.allowed
          - `.tag` (enum, required)
            - Allowed values: `allowed`
        - sharing_apiv2.ChangeLinkExpirationPolicy.not_allowed
          - `.tag` (enum, required)
            - Allowed values: `not_allowed`
        - Other
          - `.tag` (string, optional)
      - `days_to_expire_policy` (object or object or object or object or object or object or object or object or object, optional, nullable) — Existing owning team's policy for default number of days from today to link's expiration. Not provided if the link is not team owned.
        - team_policies.DefaultLinkExpirationDaysPolicy.none
          - `.tag` (enum, required)
            - Allowed values: `none`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_1
          - `.tag` (enum, required)
            - Allowed values: `day_1`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_3
          - `.tag` (enum, required)
            - Allowed values: `day_3`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_7
          - `.tag` (enum, required)
            - Allowed values: `day_7`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_30
          - `.tag` (enum, required)
            - Allowed values: `day_30`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_90
          - `.tag` (enum, required)
            - Allowed values: `day_90`
        - team_policies.DefaultLinkExpirationDaysPolicy.day_180
          - `.tag` (enum, required)
            - Allowed values: `day_180`
        - team_policies.DefaultLinkExpirationDaysPolicy.year_1
          - `.tag` (enum, required)
            - Allowed values: `year_1`
        - Other
          - `.tag` (string, optional)
      - `effective_audience` (object or object or object or object or object or object, optional, nullable) — The type of audience who can benefit from the access level specified by the `link_access_level` field.
        - sharing_apiv2.LinkAudience.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.LinkAudience.team
          - `.tag` (enum, required)
            - Allowed values: `team`
        - sharing_apiv2.LinkAudience.no_one
          - `.tag` (enum, required)
            - Allowed values: `no_one`
        - sharing_apiv2.LinkAudience.password
          - `.tag` (enum, required)
            - Allowed values: `password`
        - sharing_apiv2.LinkAudience.members
          - `.tag` (enum, required)
            - Allowed values: `members`
        - Other
          - `.tag` (string, optional)
      - `enforce_shared_link_password_policy` (object or object or object, optional, nullable) — Whether the updated externally available shared link must have password set. Not provided if the link is not team owned.
        - team_policies.EnforceLinkPasswordPolicy.optional
          - `.tag` (enum, required)
            - Allowed values: `optional`
        - team_policies.EnforceLinkPasswordPolicy.required
          - `.tag` (enum, required)
            - Allowed values: `required`
        - Other
          - `.tag` (string, optional)
      - `link_access_level` (object or object or object, optional, nullable) — The access level that the link will grant to its users. A link can grant additional rights to a user beyond their current access level. For example, if a user was invited as a viewer to a file, and then opens a link with `link_access_level` set to `editor`, then they will gain editor privileges. The `link_access_level` is a property of the link, and does not depend on who is calling this API. In particular, `link_access_level` does not take into account the API caller's current permissions to the content.
        - sharing_apiv2.LinkAccessLevel.viewer
          - `.tag` (enum, required)
            - Allowed values: `viewer`
        - sharing_apiv2.LinkAccessLevel.editor
          - `.tag` (enum, required)
            - Allowed values: `editor`
        - Other
          - `.tag` (string, optional)
      - `requested_visibility` (object or object or object, optional, nullable) — The shared link's requested visibility. This can be overridden by the team and shared folder policies. The final visibility, after considering these policies, can be found in `resolved_visibility`. This is shown only if the caller is the link's owner and resolved_visibility is returned instead of effective_audience.
        - sharing_apiv2.RequestedVisibility.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.RequestedVisibility.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.RequestedVisibility.password
          - `.tag` (enum, required)
            - Allowed values: `password`
      - `require_password` (boolean, optional, nullable) — Whether the user is required to provide a password to view the link.
      - `resolved_visibility` (object or object or object or object or object or object or object or object, optional, nullable) — The current visibility of the link after considering the shared links policies of the the team (in case the link's owner is part of a team) and the shared folder (in case the linked file is part of a shared folder). This field is shown only if the caller has access to this info (the link's owner always has access to this data). For some links, an effective_audience value is returned instead.
        - sharing_apiv2.ResolvedVisibility.public
          - `.tag` (enum, required)
            - Allowed values: `public`
        - sharing_apiv2.ResolvedVisibility.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.ResolvedVisibility.password
          - `.tag` (enum, required)
            - Allowed values: `password`
        - sharing_apiv2.ResolvedVisibility.team_and_password
          - `.tag` (enum, required)
            - Allowed values: `team_and_password`
        - sharing_apiv2.ResolvedVisibility.shared_folder_only
          - `.tag` (enum, required)
            - Allowed values: `shared_folder_only`
        - sharing_apiv2.ResolvedVisibility.no_one
          - `.tag` (enum, required)
            - Allowed values: `no_one`
        - sharing_apiv2.ResolvedVisibility.only_you
          - `.tag` (enum, required)
            - Allowed values: `only_you`
        - Other
          - `.tag` (string, optional)
      - `revoke_failure_reason` (object or object or object or object or object or object, optional, nullable) — The failure reason for revoking the link. This field will only be present if the `can_revoke` is `false`.
        - sharing_apiv2.SharedLinkAccessFailureReason.login_required
          - `.tag` (enum, required)
            - Allowed values: `login_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.email_verify_required
          - `.tag` (enum, required)
            - Allowed values: `email_verify_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.password_required
          - `.tag` (enum, required)
            - Allowed values: `password_required`
        - sharing_apiv2.SharedLinkAccessFailureReason.team_only
          - `.tag` (enum, required)
            - Allowed values: `team_only`
        - sharing_apiv2.SharedLinkAccessFailureReason.owner_only
          - `.tag` (enum, required)
            - Allowed values: `owner_only`
        - Other
          - `.tag` (string, optional)
    - `name` (string, required) — The linked file name (including extension). This never contains a slash.
    - `url` (string, required) — URL of the shared link.
    - `.tag` (string, required)
    - `content_owner_team_info` (any, optional, nullable) — The team information of the content's owner. This field will only be present if the content's owner is a team member and the content's owner team is different from the link's owner team.
    - `expires` (datetime, optional, nullable) — Expiration time, if set. By default the link won't expire.
    - `id` (any, optional, nullable) — A unique identifier for the linked file.
    - `path_lower` (string, optional, nullable) — The lowercased full path in the user's Dropbox. This always starts with a slash. This field will only be present only if the linked file is in the authenticated user's dropbox and the user is the owner of the link.
    - `team_member_info` (object, optional, nullable) — The team membership information of the link's owner. This field will only be present if the link's owner is a team member.
      - `display_name` (string, required) — The display name of the user.
      - `team_info` (any, required) — Information about the member's team.
      - `member_id` (string, optional, nullable) — ID of user as a member of a team. This field will only be present if the member is in the same team as current user.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object or object or object, required)
  - sharing_apiv2.CreateSharedLinkWithSettingsError.path
    - `.tag` (enum, required)
      - Allowed values: `path`
    - `path` (object or object or object or object or object or object or object or object, required)
      - files.LookupError.malformed_path
        - `.tag` (enum, required)
          - Allowed values: `malformed_path`
        - `malformed_path` (string, required, nullable)
      - files.LookupError.not_found
        - `.tag` (enum, required)
          - Allowed values: `not_found`
      - files.LookupError.not_file
        - `.tag` (enum, required)
          - Allowed values: `not_file`
      - files.LookupError.not_folder
        - `.tag` (enum, required)
          - Allowed values: `not_folder`
      - files.LookupError.restricted_content
        - `.tag` (enum, required)
          - Allowed values: `restricted_content`
      - files.LookupError.unsupported_content_type
        - `.tag` (enum, required)
          - Allowed values: `unsupported_content_type`
      - files.LookupError.locked
        - `.tag` (enum, required)
          - Allowed values: `locked`
      - Other
        - `.tag` (string, optional)
  - sharing_apiv2.CreateSharedLinkWithSettingsError.email_not_verified
    - `.tag` (enum, required)
      - Allowed values: `email_not_verified`
  - sharing_apiv2.CreateSharedLinkWithSettingsError.shared_link_already_exists
    - `.tag` (enum, required)
      - Allowed values: `shared_link_already_exists`
  - sharing_apiv2.CreateSharedLinkWithSettingsError.settings_error
    - `.tag` (enum, required)
      - Allowed values: `settings_error`
    - `settings_error` (object or object, required)
      - sharing_apiv2.SharedLinkSettingsError.invalid_settings
        - `.tag` (enum, required)
          - Allowed values: `invalid_settings`
      - sharing_apiv2.SharedLinkSettingsError.not_authorized
        - `.tag` (enum, required)
          - Allowed values: `not_authorized`
  - sharing_apiv2.CreateSharedLinkWithSettingsError.access_denied
    - `.tag` (enum, required)
      - Allowed values: `access_denied`
  - sharing_apiv2.CreateSharedLinkWithSettingsError.banned_member
    - `.tag` (enum, required)
      - Allowed values: `banned_member`
  - sharing_apiv2.CreateSharedLinkWithSettingsError.too_many_shared_folders
    - `.tag` (enum, required)
      - Allowed values: `too_many_shared_folders`
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "path": null,
  "settings": {
    "access": {
      ".tag": "viewer"
    },
    "allow_download": true,
    "audience": {
      ".tag": "public"
    },
    "requested_visibility": {
      ".tag": "public"
    }
  }
}
```

**Response**

```json
{
  ".tag": "file",
  "client_modified": "2015-05-12T15:50:38Z",
  "id": "id:a4ayc_80_OEAAAAAAAAAXw",
  "link_permissions": {
    "allow_comments": true,
    "allow_download": true,
    "audience_options": [
      {
        "allowed": true,
        "audience": {
          ".tag": "public"
        }
      },
      {
        "allowed": false,
        "audience": {
          ".tag": "team"
        }
      },
      {
        "allowed": true,
        "audience": {
          ".tag": "no_one"
        }
      }
    ],
    "can_allow_download": true,
    "can_disallow_download": false,
    "can_remove_expiry": false,
    "can_remove_password": true,
    "can_revoke": false,
    "can_set_expiry": false,
    "can_set_password": true,
    "can_use_extended_sharing_controls": false,
    "require_password": false,
    "resolved_visibility": {
      ".tag": "public"
    },
    "revoke_failure_reason": {
      ".tag": "owner_only"
    },
    "team_restricts_comments": true,
    "visibility_policies": [
      {
        "allowed": true,
        "policy": {
          ".tag": "public"
        },
        "resolved_policy": {
          ".tag": "public"
        }
      },
      {
        "allowed": true,
        "policy": {
          ".tag": "password"
        },
        "resolved_policy": {
          ".tag": "password"
        }
      }
    ]
  },
  "name": "Prime_Numbers.txt",
  "path_lower": "/homework/math/prime_numbers.txt",
  "rev": "a1c10ce0dd78",
  "server_modified": "2015-05-12T15:50:38Z",
  "size": 7212,
  "team_member_info": {
    "display_name": "Roger Rabbit",
    "member_id": "dbmid:abcd1234",
    "team_info": null
  },
  "url": "https://www.dropbox.com/s/2sn712vy1ovegw8/Prime_Numbers.txt?dl=0"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings"

payload = {
    "path": None,
    "settings": {
        "access": { ".tag": "viewer" },
        "allow_download": True,
        "audience": { ".tag": "public" },
        "requested_visibility": { ".tag": "public" }
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"path":null,"settings":{"access":{".tag":"viewer"},"allow_download":true,"audience":{".tag":"public"},"requested_visibility":{".tag":"public"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings"

	payload := strings.NewReader("{\n  \"path\": null,\n  \"settings\": {\n    \"access\": {\n      \".tag\": \"viewer\"\n    },\n    \"allow_download\": true,\n    \"audience\": {\n      \".tag\": \"public\"\n    },\n    \"requested_visibility\": {\n      \".tag\": \"public\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"path\": null,\n  \"settings\": {\n    \"access\": {\n      \".tag\": \"viewer\"\n    },\n    \"allow_download\": true,\n    \"audience\": {\n      \".tag\": \"public\"\n    },\n    \"requested_visibility\": {\n      \".tag\": \"public\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"path\": null,\n  \"settings\": {\n    \"access\": {\n      \".tag\": \"viewer\"\n    },\n    \"allow_download\": true,\n    \"audience\": {\n      \".tag\": \"public\"\n    },\n    \"requested_visibility\": {\n      \".tag\": \"public\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings', [
  'body' => '{
  "path": null,
  "settings": {
    "access": {
      ".tag": "viewer"
    },
    "allow_download": true,
    "audience": {
      ".tag": "public"
    },
    "requested_visibility": {
      ".tag": "public"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"path\": null,\n  \"settings\": {\n    \"access\": {\n      \".tag\": \"viewer\"\n    },\n    \"allow_download\": true,\n    \"audience\": {\n      \".tag\": \"public\"\n    },\n    \"requested_visibility\": {\n      \".tag\": \"public\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "path": ,
  "settings": [
    "access": [".tag": "viewer"],
    "allow_download": true,
    "audience": [".tag": "public"],
    "requested_visibility": [".tag": "public"]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/sharing/create_shared_link_with_settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```